Skip to content
GET /unified/accounting/accounts/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

typestring

The type of account to retrieve

Possible values:
accounts_payableaccounts_receivableaccumulated_depreciationadvertising_expenseassetbad_debt_expensebankbank_accountcashcost_of_goods_soldcredit_cardcurrent+ 31 more
8 supported1 required
ERPNext
required
general_ledgerbank_account
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
classificationstring

The classification of the account. If no clear mapping exists, then raw value is returned.

Possible values:
assetbankequityexpenseliabilityrevenue
7 supported1 required
Microsoft Dynamics 365 Business Central
required
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the account

8 supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
namestring
required·

The name of the account

8 supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
account_numberstring

Represents the bank account number if the account is of type bank account.

7 supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
classificationstring

The classification of the account. If no clear mapping exists, then raw value is returned.

Possible values:
assetequityexpenseliabilityrevenuebank
7 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
companystring

The ID of the company the account belongs to

References: CompanyInfo → id
4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
Zoho Books
supported
created_atstring · date-time

This represents the date when the accounts was created

4 supported
Coupa
supported
ERPNext
supported
QuickBooks
supported
Zoho Books
supported
currencystring

The currency of the account

6 supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Wave
supported
Xero
supported
current_balancenumber

The current balance of the account

4 supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Zoho Books
supported
descriptionstring

The description of the account

3 supported
Oracle Netsuite
supported
Wave
supported
Zoho Books
supported
etagstring

The unique identifier for the specific version of the resource.

parent_accountstring

The ID of the parent account of the account

References: Accounts → id
4 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Zoho Books
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the account. If no clear mapping exists, then raw value is returned.

Possible values:
activearchivedpending
8 supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
typestring

The more specific classification of the account

Possible values:
fixed_assetlong_term_liabilityequityexpensebankcurrentcurrent_liabilityother_incomedirect_costsother_expensesincomeother_asset+ 29 more
8 supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
updated_atstring · date-time

This represents the date when the accounts was updated

6 supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
curl -X GET 'https://api.truto.one/unified/accounting/accounts/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/accounts/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/accounts/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'accounting',
  'accounts',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "accounting",
        "accounts",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())